http://iot.{region}.amazonaws.com/certificates-by-ca/{caCertificateId}<p>List the device certificates signed by the specified CA certificate.</p> <p>Requires permission to access the <a href="https://docs.aws.amazon.com/service-authorization/latest/reference/list_awsiot.html#awsiot-actions-as-permissions">ListCertificatesByCA</a> action.</p>
The ID of the CA certificate. This operation will list all registered device certificate that were signed by this CA certificate.
The result page size.
The marker for the next set of results.
Specifies the order for results. If True, the results are returned in ascending order, based on the creation date.
{
"success": true,
"data": {
"id": "abc123",
"created_at": "2025-01-01T00:00:00Z"
}
}{
"success": false,
"error": {
"code": "VALIDATION_ERROR",
"message": "Invalid request parameters"
}
}1curl --request GET \2 --url 'http://iot.{region}.amazonaws.com/certificates-by-ca/{caCertificateId}' \3 --header 'accept: application/json' \4 --header 'content-type: application/json'1{2 "success": true,3 "data": {4 "id": "abc123",5 "created_at": "2025-01-01T00:00:00Z"6 }7}http://iot.{region}.amazonaws.com/certificates-by-ca/{caCertificateId}<p>List the device certificates signed by the specified CA certificate.</p> <p>Requires permission to access the <a href="https://docs.aws.amazon.com/service-authorization/latest/reference/list_awsiot.html#awsiot-actions-as-permissions">ListCertificatesByCA</a> action.</p>
The ID of the CA certificate. This operation will list all registered device certificate that were signed by this CA certificate.
The result page size.
The marker for the next set of results.
Specifies the order for results. If True, the results are returned in ascending order, based on the creation date.
{
"success": true,
"data": {
"id": "abc123",
"created_at": "2025-01-01T00:00:00Z"
}
}{
"success": false,
"error": {
"code": "VALIDATION_ERROR",
"message": "Invalid request parameters"
}
}1curl --request GET \2 --url 'http://iot.{region}.amazonaws.com/certificates-by-ca/{caCertificateId}' \3 --header 'accept: application/json' \4 --header 'content-type: application/json'1{2 "success": true,3 "data": {4 "id": "abc123",5 "created_at": "2025-01-01T00:00:00Z"6 }7}